# SubmitInteropDocument

Submit a document

`POST /interop/documents`

**API:** Avalara E-Invoicing API
**Tag:** Interop
**API Version:** 1.2
**Base URL:** https://api.sbx.avalara.com/einvoicing
**Authentication:** Bearer token

Source: https://developer.avalara.com/products/e-invoicing/api/v1.2/methods/Interop/SubmitInteropDocument/

## Description

This API used by the interoperability partners to submit a document to  their trading partners in Avalara on behalf of their customers.

## Parameters

| Name | Type | In | Required | Description |
|---|---|---|---|---|
| `documentType` | string | query | Yes | Type of the document being uploaded. Partners will be configured in Avalara system to send only certain types of documents. |
| `interchangeType` | string | query | Yes | Type of interchange (codes in Avalara system that uniquely identifies a type of interchange). Partners will be configured in Avalara system to send documents belonging to certain types of interchanges. |
| `avalara-version` | string | header | Yes | The HTTP Header meant to specify the version of the API intended to be used |
| `X-Avalara-Client` | string | header | No | You can freely use any text you wish for this value. This feature can help you diagnose and solve problems with your software. The header can be treated like a "Fingerprint" |
| `X-Correlation-ID` | string | header | No | The caller can use this as an identifier to use as a correlation id to trace the call. |

## Request Body

**Content-Type:** `multipart/form-data`

## Responses

| Status | Description | Schema |
|---|---|---|
| 202 | Document Accepted. This doesn't mean it is processed. This is just a transport ack. |  |
| 400 | Bad/Invalid Request. | `ErrorResponse` |
| 401 | Unauthorized | `ErrorResponse` |
| 403 | Forbidden | `ErrorResponse` |
| 500 | Internal server error | `ErrorResponse` |

## Example Request

```bash
curl -X POST "https://api.sbx.avalara.com/einvoicing/interop/documents" \
  -H "Authorization: Basic <credentials>" \
  -H "Accept: application/json"
```